SREADP(3)

SYNOPSIS
SUBROUTINE SREADP (IPAGE, LIST, RLIST, LPAGE, IREC)

NAME
sreadp - Subsidiary to SPLP

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (SREADP-S, DREADP-D)

AUTHOR
(UNKNOWN)

DESCRIPTION
READ RECORD NUMBER IRECN, OF LENGTH LPG, FROM UNIT NUMBER IPAGEF INTO THE STORAGE ARRAY, LIST(*). READ RECORD IRECN+1, OF LENGTH LPG, FROM UNIT NUMBER IPAGEF INTO THE STORAGE ARRAY RLIST(*). TO CONVERT THIS PROGRAM UNIT TO DOUBLE PRECISION CHANGE /REAL (12 BLANKS)/ TO /DOUBLE PRECISION/.

SEE ALSO
SPLP

ROUTINES CALLED
XERMSG

REVISION HISTORY (YYMMDD)
811215 DATE WRITTEN
890605 Corrected references to XERRWV. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900328 Added TYPE section. (WRB)
900510 Convert XERRWV calls to XERMSG calls. (RWC)